{% extends '::baseIntranet.html.twig' %}

{% block title %} INTRANET - Reenviar Mensaje {% endblock title %}

{% block stylesheets %}
  <link href="{{ asset('bundles/intranet/plugins/bootstrap-wysihtml5/bootstrap3-wysihtml5.min.css') }}" rel="stylesheet" type="text/css">
	<style>
		.has-feedback .form-control {
		    padding-right: 50%;
		}
		.form-control-feedback {
			top: 0px !important;
		}
    .dtl_user{
      font-size: 16px;
      text-align: center;
      float: left;
      margin: 2px;
      width:49%;
    }

    .del_user {
      font-size: 26px !important;
      position: relative;
      float: right;
      margin-top: -7%;
    }
	</style>	
{% endblock %}

{% block body -%}
        
        <section class="content-header">
          <h1>
            Inbox
          </h1>
        </section>       

        <section class="content">
        	<div class="row">
            
            <div class="col-md-3">
              <a href="{{ path('new_message') }}" class="btn btn-primary btn-block margin-bottom">
                <i class="fa fa-pencil-square-o"></i>&nbsp;&nbsp;Nuevo mensaje
              </a>
              <div class="box box-solid">
                <div class="box-header with-border">
                  <h3 class="box-title">Herramientas</h3>
                </div>
                <div class="box-body no-padding">
                  <ul class="nav nav-pills nav-stacked">
                    <li><a href="{{ path('show_inbox') }}"><i class="fa fa-inbox"></i> Inbox (No leidos) <span class="label label-primary pull-right" id="load_total_inbox3">0</span></a></li>
                    <li><a href="{{ path('show_inbox_send') }}"><i class="fa fa-arrow-circle-right"></i> Mensajes Enviados</a></li>
                    <li><a href="{{ path('show_inbox_delete') }}"><i class="fa fa-times-circle-o"></i> Mensajes Eliminados</a></li>
                    <li><a href="{{ path('show_inbox_leidos') }}"><i class="glyphicon glyphicon-eye-open"></i> Mensajes Leidos</a></li>
                  </ul>
                </div><!-- /.box-body -->
              </div><!-- /. box -->
            </div><!-- /.col -->

            <div class="col-md-9">
              <div class="box box-primary">
                <div class="box-header with-border">
                  <h3 class="box-title">Reenviar Mensaje</h3>
                </div><!-- /.box-header -->
                <div class="box-body">
                  <div class="form-group">
                    <label>Para:</label>
                    <select class="form-control" id="slt_para" onchange="add_usuer_msn(this);">
                      <option value="0">------------------------------------------------------------------------</option>
                    </select>
                  </div>
                  <div class="form-group">
                    <div id="msj_para" placeholder="Para:" class="form-control" style="resize: none; max-height: 100px; height: auto; overflow: auto;"></div>
                  </div>
                  <div class="form-group">
                    <label>Asunto:</label>
                    <input class="form-control" id="msj_asunto" placeholder="Asunto:" value="{{ Info.Asunto }}" />
                  </div>
                  <div class="form-group">
                    <label>Cuerpo del Mensaje:</label>
                    <textarea id="msj_cuerpo" class="form-control" style="height: 300px;resize:none;" placeholder="</br></br></br>﻿﻿-------------------------------------------------------------- Mensaje Original ----------------------------------------------------</br>{{ Info.Cuerpo|raw }}"></textarea>
                  </div>
                </div><!-- /.box-body -->
                <div class="box-footer">
                  <div class="pull-right">
                    <button type="button" class="btn btn-primary" onclick="sendMsj()"><i class="fa fa-envelope-o"></i> Enviar</button>
                  </div>
                  <button class="btn btn-default" onclick="document.location.href= '{{ path('show_message_con', { 'id': Info.idMensaje  }) }}';showLoading('Cancelando Reenvio')"><i class="fa fa-times"></i> Cancelar</button>
                </div><!-- /.box-footer -->
              </div><!-- /. box -->
            </div><!-- /.col -->

          </div><!-- /.row -->
        </section>	
{% endblock %}

{% block javascripts %}
	<script src="{{ asset('bundles/intranet/plugins/bootstrap-wysihtml5/bootstrap3-wysihtml5.all.min.js') }}" type="text/javascript"></script>
  <script src="{{ asset('bundles/intranet/plugins/bootstrap-wysihtml5/bootstrap-wysihtml5.es-ES.js') }}"></script>
  <script>var usuariosJSON = {{ usuarios|json_encode()|raw }};</script> 
	<script>



  $(document).ready(function() { 

        $("#msj_cuerpo").wysihtml5({
            "link": false,
            "image": false,
            locale: "es-ES"
        });

      if(usuariosJSON.length > 0){

          for(var x =0;x<=usuariosJSON.length-1;x++){
            full_name = "";
            if(usuariosJSON[x].uApMaterno){
              full_name = usuariosJSON[x].uNombre+' '+usuariosJSON[x].uApPaterno+' '+usuariosJSON[x].uApMaterno;
            }else{
              full_name = usuariosJSON[x].uNombre+' '+usuariosJSON[x].uApPaterno;
            }

      $('#slt_para').append('<option value="'+usuariosJSON[x].uNumero+'">'+usuariosJSON[x].uClave+' - '+full_name+'</option>');

          } 
      }else{
        $('option','#slt_para').remove();
        $('#slt_para').append('<option value="0" selected="selected">Error en carga de usuarios intente de nuevo más tarde</option>');
      } 
  });

  var para_usuarios = new Array();

  function add_usuer_msn(select){
    var id_user = parseInt(select.value);
    if(id_user != 0){
        var posicion = para_usuarios.indexOf(id_user);
        if (posicion == -1) {

          para_usuarios.push(id_user);
        
          for(var x =0;x<=usuariosJSON.length-1;x++){
        
            if(usuariosJSON[x].uNumero == id_user){
                full_name = "";
           
                if(usuariosJSON[x].uApMaterno){
                  full_name = usuariosJSON[x].uNombre+' '+usuariosJSON[x].uApPaterno+' '+usuariosJSON[x].uApMaterno;
                }else{
                  full_name = usuariosJSON[x].uNombre+' '+usuariosJSON[x].uApPaterno;
                }
           
                $('#msj_para').append('<span class="label label-success dtl_user" id="to_user_'+id_user+'">'+full_name+'<button type="button" class="close del_user" aria-label="Close" onclick=deletto("to_user_'+id_user+'",'+id_user+')><span aria-hidden="true">&times;</span></button></span>');
            }

          }  

        }else{
          alert("Ya ha seleccionado a este usuario");
        }
    }    
  }

  function deletto(id_span,iduser){
    var posicion = para_usuarios.indexOf(iduser);
    var remove_id = '#'+id_span;
    if (posicion != -1){
      $('#slt_para').val(0);
      para_usuarios.splice(posicion,1);
      $(remove_id).remove();
    }
  }

  function clearAll(){

    $('#slt_para').val(0);
    $('#msj_para').html("");
    $('#msj_asunto').val("");
    para_usuarios.length = 0;

  }

  function sendMsj(){
    var mensaje = $('#msj_cuerpo').val();
    var asunto = $('#msj_asunto').val();
    if(para_usuarios.length > 0){
      if(mensaje && asunto){
        showLoading('Enviando Mensaje');
        var urlSendMensaje = "{{path('send_mensaje')}}";
        $.post(urlSendMensaje, {destinatario:para_usuarios,mensaje:mensaje,asunto:asunto}, function(data, textStatus, xhr) {
            if(data.estatus == 1){
              document.location.href= data.mensaje;
            }else{
              alert(data.mensaje);
              hideLoading();
            }
        }); 

      }else{
        alert("Debe ingresar:</br>->Asunto</br>->Cuerpo del Mensaje");
      }
    }else{
      alert("Debe seleccionar a quien se enviar este mensaje");
    }
  }
	</script>

{% endblock %}